## fenicsx-performance-tests 0.0~git20210119.80e82ac

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

set(PROJECT_NAME dolfinx-scaling-test)
project(${PROJECT_NAME})

# Use C++17
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

# Get DOLFIN configuration data (DOLFINConfig.cmake must be in
# DOLFIN_CMAKE_CONFIG_PATH)
find_package(DOLFINX REQUIRED)

set(CMAKE_BUILD_TYPE "Release")

# Compile UFL files
add_custom_command(
  OUTPUT Elasticity.c
  COMMAND ffcx ${CMAKE_CURRENT_SOURCE_DIR}/Elasticity.ufl
  DEPENDS Elasticity.ufl
)
add_custom_command(
  OUTPUT Poisson.c
  COMMAND ffcx ${CMAKE_CURRENT_SOURCE_DIR}/Poisson.ufl
  DEPENDS Poisson.ufl
)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Executable
add_executable(${PROJECT_NAME} main.cpp mesh.cpp elasticity_problem.cpp poisson_problem.cpp
  ${CMAKE_CURRENT_BINARY_DIR}/Elasticity.c
  ${CMAKE_CURRENT_BINARY_DIR}/Poisson.c)

# Find Boost program_options
if(DEFINED ENV{BOOST_ROOT} OR DEFINED BOOST_ROOT)
  set(Boost_NO_SYSTEM_PATHS on)
endif()
set(Boost_USE_MULTITHREADED $ENV{BOOST_USE_MULTITHREADED})
set(Boost_VERBOSE TRUE)
find_package(Boost 1.70 REQUIRED program_options)

# Target libraries
target_link_libraries(${PROJECT_NAME} dolfinx Boost::program_options)

install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION bin)

=== debian/changelog ===
fenicsx-performance-tests (0.0~git20210119.80e82ac-1) unstable; urgency=medium

  * New upstream snapshot.
  * Build-Depends: libdolfinx-dev (>= 2019.2.0~git20210130.c14cb0a~)

 -- Drew Parsons <dparsons@debian.org>  Fri, 12 Feb 2021 16:35:21 +0100

fenicsx-performance-tests (0.0~git20201119.890eff6-3) unstable; urgency=medium

  * Build-Depends: libboost-dev

 -- Drew Parsons <dparsons@debian.org>  Sun, 31 Jan 2021 09:31:22 +0100

fenicsx-performance-tests (0.0~git20201119.890eff6-2) unstable; urgency=medium

  * apply Restrictions: allow-stderr to dolfinx-performance-test-source
    in debian/tests to ignore compilation warnings sent to stderr.

 -- Drew Parsons <dparsons@debian.org>  Fri, 20 Nov 2020 15:25:11 +0800

fenicsx-performance-tests (0.0~git20201119.890eff6-1) unstable; urgency=medium

  * New upstream snapshot.
  * Standards-Version: 4.5.1
  * drop debian patch check_arch_flag.patch.
    -march-native is no longer applied in CMakeLists.txt
  * Test errors (build or CI) now trigger failure.

 -- Drew Parsons <dparsons@debian.org>  Fri, 20 Nov 2020 00:37:58 +0800

fenicsx-performance-tests (0.0~git20201022.8913e0f-2) unstable; urgency=medium

  * update debian patch check_arch_flag.patch to not build with
    -march=native at all if cmake variable BUILD_GENERIC_ARCH is defined
  * apply BUILD_GENERIC_ARCH to cmake configure step for binary build
    (dh_auto_configure). i.e. build binaries for distribution without
    -march=native. Closes: #974843.
  * make VERBOSE=1 with debian/tests/dolfinx-performance-test-source

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Nov 2020 19:08:07 +0800

fenicsx-performance-tests (0.0~git20201022.8913e0f-1) unstable; urgency=medium

  * New upstream snapshot.
  * provide -p EXEPATH option to debian/tests/run-dolfinx-scaling-test
    to set path to executable binary
  * run tests at build time (ignore errors for now)

 -- Drew Parsons <dparsons@debian.org>  Sat, 14 Nov 2020 00:25:38 +0800

fenicsx-performance-tests (0.0~git20200719.42769f8-3) unstable; urgency=medium

  * debian patch check_arch_flag.patch checks whether the -march or
    -mcpu compiler flag is supported before applying it.
  * mark fenicsx-performance-tests-source as Multi-Arch: foreign
  * Build-Depends: mpi-default-dev
  * set Debian Science Team as Maintainer.

 -- Drew Parsons <dparsons@debian.org>  Thu, 05 Nov 2020 00:53:27 +0800

fenicsx-performance-tests (0.0~git20200719.42769f8-2) unstable; urgency=medium

  * add src/Poisson.ufl (LGPL-3+) to debian/copyright

 -- Drew Parsons <dparsons@debian.org>  Fri, 23 Oct 2020 15:36:34 +0800

fenicsx-performance-tests (0.0~git20200719.42769f8-1) unstable; urgency=medium

  * Initial release (Closes: #970123)
  * interact with tests via debian/tests/run-dolfinx-scaling-test
  * the fenicsx-performance-tests package provides both the
    precompiled executable /usr/bin/dolfinx-scaling-test
    and the controlling run script
    /usr/share/dolfinx/performance-tests/run-dolfinx-scaling-test
    (from debian/tests/run-dolfinx-scaling-test). See README.Debian

 -- Drew Parsons <dparsons@debian.org>  Tue, 22 Sep 2020 21:30:45 +0800

=== debian/control ===
Source: fenicsx-performance-tests
Section: libdevel
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper-compat (= 13),
 cmake,
 libboost-dev,
 libdolfinx-dev (>= 2019.2.0~git20210130.c14cb0a~),
 mpi-default-dev,
 python3-ffcx,
Standards-Version: 4.5.1
Homepage: https://github.com/FEniCS/performance-test
Vcs-Browser: https://salsa.debian.org/science-team/fenics/fenicsx-performance-tests
Vcs-Git: https://salsa.debian.org/science-team/fenics/fenicsx-performance-tests.git
Rules-Requires-Root: no

Package: fenicsx-performance-tests
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: fenicsx-performance-tests-source
Description: Performance test codes for FEniCS/DOLFIN-X (binaries)
 This package contains solvers for testing the parallel performance of
 DOLFIN-X and the underlying linear solvers. It tests elliptic
 equations - Poisson equation and elasticity - in three dimensions.
 .
 DOLFIN-X is the next-generation Finite Element solver developed by
 the FEniCS project.
 .
 This package provides precompiled binaries.

Package: fenicsx-performance-tests-source
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: cmake,
 libdolfinx-dev,
 mpi-default-dev,
 python3-ffcx
Suggests: fenicsx-performance-tests
Description: Performance test codes for FEniCS/DOLFIN-X (source)
 This package contains solvers for testing the parallel performance of
 DOLFIN-X and the underlying linear solvers. It tests elliptic
 equations - Poisson equation and elasticity - in three dimensions.
 .
 DOLFIN-X is the next-generation Finite Element solver developed by
 the FEniCS project.
 .
 This package provides source code for tests.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ --buildsystem=cmake --sourcedirectory=src

override_dh_auto_test:
	debian/tests/run-dolfinx-scaling-test -p $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)

=== debian/tests/control ===
Tests: dolfinx-performance-test-binary
Depends: @, @builddeps@

Tests: dolfinx-performance-test-source
Depends: @, @builddeps@
Restrictions: allow-stderr

## fenicsx-performance-tests 0.4.0

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(PROJECT_NAME dolfinx-scaling-test)
project(${PROJECT_NAME})

include(GNUInstallDirs)
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

# Use C++17
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

# Get DOLFIN configuration data (DOLFINConfig.cmake must be in
# DOLFIN_CMAKE_CONFIG_PATH)
find_package(DOLFINX REQUIRED)

set(CMAKE_BUILD_TYPE "Release")

# Compile UFL files

add_custom_command(
  OUTPUT Poisson.c
  COMMAND ffcx ${CMAKE_CURRENT_SOURCE_DIR}/Poisson.py
  DEPENDS Poisson.py
)

add_custom_command(
  OUTPUT Elasticity.c
  COMMAND ffcx ${CMAKE_CURRENT_SOURCE_DIR}/Elasticity.py
  DEPENDS Elasticity.py
)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Executable
add_executable(${PROJECT_NAME} main.cpp mesh.cpp elasticity_problem.cpp poisson_problem.cpp mem.cpp
${CMAKE_CURRENT_BINARY_DIR}/Elasticity.c
${CMAKE_CURRENT_BINARY_DIR}/Poisson.c)

# Find Boost program_options
if(DEFINED ENV{BOOST_ROOT} OR DEFINED BOOST_ROOT)
  set(Boost_NO_SYSTEM_PATHS on)
endif()
set(Boost_USE_MULTITHREADED $ENV{BOOST_USE_MULTITHREADED})
set(Boost_VERBOSE TRUE)
find_package(Boost 1.70 REQUIRED program_options)

# Target libraries
target_link_libraries(${PROJECT_NAME} dolfinx Boost::program_options)

install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
fenicsx-performance-tests (0.4.0-1) unstable; urgency=medium

  * add debian/watch for uscan
  * New upstream release (FEniCS-X 0.4)
    - replaces Poisson.ufl with Poisson.py under same MIT licence as
      other files
  * restrict debian tests to 3 cpus to aid performance in chroots
  * allow stderr in binary tests (test progress is printed to stderr)
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Mon, 27 Jun 2022 21:23:42 +0200

fenicsx-performance-tests (0.0~git20210901.25e932a-1) unstable; urgency=medium

  * New upstream snapshot for dolfinx 0.3.0.
  * versioned Build-Depends: cmake (>= 3.16~)
  * drop explicit Build-Depends: libbasix-dev
  * build executables without RPATH to use preferred libpetsc_real.so
    configured by alternatives
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Sun, 24 Oct 2021 00:11:52 +0200

fenicsx-performance-tests (0.0~git20210410.63b5b42-2) experimental; urgency=medium

  * add debian patch enable_complex_build.patch to invoke
    ffcx --scalar_type "double complex" when building tests against
    the complex number build of dolfinx,
    for example with PETSC_DIR=/usr/lib/petscdir/petsc-complex
  * use Poisson test with hypre only if built against real PETSc
    (complex petsc does not yet support hypre)

 -- Drew Parsons <dparsons@debian.org>  Tue, 13 Apr 2021 01:14:48 +0200

fenicsx-performance-tests (0.0~git20210410.63b5b42-1) experimental; urgency=medium

  * New upstream snapshot
    - tests dolfinx using basix with xtl,xtensor,xtensor-blas
    - Depends: libbasix-dev, xtensor-dev,
       libdolfinx-dev (>= 2019.2.0~git20210410.b421249~)
  * fenicsx-performance-tests-source Recommends: libboost-dev (>= 1.70~)

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 Apr 2021 11:58:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
- cmake,
- libboost-dev,
- libdolfinx-dev (>= 2019.2.0~git20210130.c14cb0a~),
+ cmake (>= 3.16~),
+ libboost-dev (>= 1.70~),
+ libdolfinx-dev (>= 0.4.1~),
  mpi-default-dev,
  python3-ffcx,
-Standards-Version: 4.5.1
+ xtensor-dev
+Standards-Version: 4.6.1
 Homepage: https://github.com/FEniCS/performance-test
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/fenicsx-performance-tests
 Vcs-Git: https://salsa.debian.org/science-team/fenics/fenicsx-performance-tests.git
@@ -34,9 +35,11 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: cmake,
- libdolfinx-dev,
+ libboost-dev (>= 1.70~),
+ libdolfinx-dev (>= 0.4.1~),
  mpi-default-dev,
- python3-ffcx
+ python3-ffcx,
+ xtensor-dev
 Suggests: fenicsx-performance-tests
 Description: Performance test codes for FEniCS/DOLFIN-X (source)
  This package contains solvers for testing the parallel performance of

## fenicsx-performance-tests 0.5.0~git20220731.821823b

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
 
 # Use C++17
-set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)

=== debian/changelog ===
fenicsx-performance-tests (0.5.0~git20220731.821823b-1) unstable; urgency=medium

  * New upstream snapshot for dolfinx 0.5

 -- Drew Parsons <dparsons@debian.org>  Thu, 22 Sep 2022 13:53:55 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
  cmake (>= 3.16~),
  libboost-dev (>= 1.70~),
- libdolfinx-dev (>= 0.4.1~),
+ libdolfinx-dev (>= 0.5~),
  mpi-default-dev,
  python3-ffcx,
  xtensor-dev
@@ -36,7 +36,7 @@
 Depends: ${misc:Depends}
 Recommends: cmake,
  libboost-dev (>= 1.70~),
- libdolfinx-dev (>= 0.4.1~),
+ libdolfinx-dev (>= 0.5~),
  mpi-default-dev,
  python3-ffcx,
  xtensor-dev

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,8 @@
 %:
 	dh $@ --buildsystem=cmake --sourcedirectory=src
 
+override_dh_auto_configure:
+	dh_auto_configure -- -D CMAKE_SKIP_RPATH:BOOL=ON -DCMAKE_INSTALL_RPATH_USE_LINK_PATH:BOOL=OFF
+
 override_dh_auto_test:
 	debian/tests/run-dolfinx-scaling-test -p $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/FEniCS/performance-test/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## fenicsx-performance-tests 0.6.0~git20221116.5c95102

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include(GNUInstallDirs)
 set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
 
-# Use C++17
+# Use C++20
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)

=== debian/changelog ===
fenicsx-performance-tests (0.6.0~git20221116.5c95102-2build1) mantic; urgency=medium

  * No-change rebuild against libdolfinx-real0.6gcc13

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Sep 2023 00:19:10 +0000

fenicsx-performance-tests (0.6.0~git20221116.5c95102-2) unstable; urgency=medium

  * drop Depends: xtensor-dev.
    dolfinx 0.6 now uses autopointers with std::vector (C++20)
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Mon, 26 Jun 2023 16:06:10 +0200

fenicsx-performance-tests (0.6.0~git20221116.5c95102-1exp4) experimental; urgency=medium

  * libdolfinx-dev is not a dummy dependency package.
    Depends: libdolfinx-dev (and libdolfinx-real-dev)

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Jan 2023 17:56:32 +0100

fenicsx-performance-tests (0.6.0~git20221116.5c95102-1exp3) experimental; urgency=medium

  * update debian patch enable_complex_build.patch to C99 standard for
    complex numbers (double _Complex) as used now by ffcx (ffcx PR#396)
  * Notwithstanding the change above, Depends: libdolfinx-real-dev
    since a complex build currently fails with g++ 12 (see upstream PR#89)

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Jan 2023 16:57:53 +0100

fenicsx-performance-tests (0.6.0~git20221116.5c95102-1exp2) experimental; urgency=medium

  * Depends: add epoch to libdolfinx-dev version

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Jan 2023 14:57:28 +0100

fenicsx-performance-tests (0.6.0~git20221116.5c95102-1exp1) experimental; urgency=medium

  * New upstream snapshot for dolfinx 0.6

 -- Drew Parsons <dparsons@debian.org>  Mon, 16 Jan 2023 03:39:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: fenicsx-performance-tests
 Section: libdevel
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
  cmake (>= 3.16~),
  libboost-dev (>= 1.70~),
- libdolfinx-dev (>= 0.5~),
+ libdolfinx-dev (>= 1:0.6~), libdolfinx-real-dev,
  mpi-default-dev,
- python3-ffcx,
- xtensor-dev
-Standards-Version: 4.6.1
+ python3-ffcx
+Standards-Version: 4.6.2
 Homepage: https://github.com/FEniCS/performance-test
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/fenicsx-performance-tests
 Vcs-Git: https://salsa.debian.org/science-team/fenics/fenicsx-performance-tests.git
@@ -36,10 +36,9 @@
 Depends: ${misc:Depends}
 Recommends: cmake,
  libboost-dev (>= 1.70~),
- libdolfinx-dev (>= 0.5~),
+ libdolfinx-dev (>= 1:0.6~), libdolfinx-real-dev,
  mpi-default-dev,
- python3-ffcx,
- xtensor-dev
+ python3-ffcx
 Suggests: fenicsx-performance-tests
 Description: Performance test codes for FEniCS/DOLFIN-X (source)
  This package contains solvers for testing the parallel performance of

## fenicsx-performance-tests 0.8.0

=== debian/changelog ===
fenicsx-performance-tests (0.8.0-1build4) oracular; urgency=medium

  * No-change rebuild against mpi-defaults 1.17

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 30 Jul 2024 12:54:58 -0700

fenicsx-performance-tests (0.8.0-1build3) oracular; urgency=medium

  * Rebuild against new slepc/petsc 3.20.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 27 May 2024 07:49:25 +0200

fenicsx-performance-tests (0.8.0-1build2) oracular; urgency=medium

  * Rebuild against new slepc/petsc 3.20.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 25 May 2024 08:16:21 +0200

fenicsx-performance-tests (0.8.0-1build1) oracular; urgency=medium

  * Rebuild against new petsc/slepc 3.20 and .

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 May 2024 10:57:15 +0200

fenicsx-performance-tests (0.8.0-1) unstable; urgency=medium

  * New upstream release, compatible with dolfinx 0.8.0
  * Standards-Version: 4.7.0 (routine-update)
  * Fix Maintainer name of Debian Science team (routine-update)
  * Require libdolfinx-dev >= 1:0.8~
  * Add Francesco Ballarin to uploaders

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 04 May 2024 09:00:13 +0000

fenicsx-performance-tests (0.7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sat, 13 Jan 2024 14:32:41 +0100

fenicsx-performance-tests (0.7.0~git20231007.4ba90a6-1) unstable; urgency=medium

  * New upstream snapshot (for dolfinx 0.7)

 -- Drew Parsons <dparsons@debian.org>  Wed, 01 Nov 2023 09:20:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: fenicsx-performance-tests
 Section: libdevel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Drew Parsons <dparsons@debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Drew Parsons <dparsons@debian.org>,
+           Francesco Ballarin <francesco.ballarin@unicatt.it>
 Build-Depends: debhelper-compat (= 13),
  cmake (>= 3.16~),
  libboost-dev (>= 1.70~),
- libdolfinx-dev (>= 1:0.6~), libdolfinx-real-dev,
+ libdolfinx-dev (>= 1:0.8~), libdolfinx-real-dev,
  mpi-default-dev,
  python3-ffcx
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/FEniCS/performance-test
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/fenicsx-performance-tests
 Vcs-Git: https://salsa.debian.org/science-team/fenics/fenicsx-performance-tests.git
@@ -36,7 +36,7 @@
 Depends: ${misc:Depends}
 Recommends: cmake,
  libboost-dev (>= 1.70~),
- libdolfinx-dev (>= 1:0.6~), libdolfinx-real-dev,
+ libdolfinx-dev (>= 1:0.8~), libdolfinx-real-dev,
  mpi-default-dev,
  python3-ffcx
 Suggests: fenicsx-performance-tests

## fenicsx-performance-tests 0.9.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -15,10 +15,11 @@
 # DOLFIN_CMAKE_CONFIG_PATH)
 find_package(DOLFINX REQUIRED)
 
-set(CMAKE_BUILD_TYPE "Release")
+# set(CMAKE_BUILD_TYPE "Release")
+set(CMAKE_CXX_FLAGS "-Ofast ${CMAKE_CXX_FLAGS} -g -Wall")
+set(CMAKE_C_FLAGS "-Ofast ${CMAKE_C_FLAGS} -g -Wall")
 
 # Compile UFL files
-
 add_custom_command(
   OUTPUT Poisson.c
   COMMAND ffcx ${CMAKE_CURRENT_SOURCE_DIR}/Poisson.py
@@ -34,7 +35,7 @@
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
 # Executable
-add_executable(${PROJECT_NAME} main.cpp mesh.cpp elasticity_problem.cpp poisson_problem.cpp mem.cpp
+add_executable(${PROJECT_NAME} main.cpp mesh.cpp elasticity_problem.cpp cgpoisson_problem.cpp poisson_problem.cpp mem.cpp
 ${CMAKE_CURRENT_BINARY_DIR}/Elasticity.c
 ${CMAKE_CURRENT_BINARY_DIR}/Poisson.c)
 
@@ -42,11 +43,12 @@
 if(DEFINED ENV{BOOST_ROOT} OR DEFINED BOOST_ROOT)
   set(Boost_NO_SYSTEM_PATHS on)
 endif()
-set(Boost_USE_MULTITHREADED $ENV{BOOST_USE_MULTITHREADED})
+# set(Boost_USE_MULTITHREADED $ENV{BOOST_USE_MULTITHREADED})
 set(Boost_VERBOSE TRUE)
 find_package(Boost 1.70 REQUIRED program_options)
 
 # Target libraries
-target_link_libraries(${PROJECT_NAME} dolfinx Boost::program_options)
+target_link_libraries(${PROJECT_NAME} dolfinx Boost::program_options pthread)
 
+message(STATUS ${CMAKE_CXX_FLAGS})
 install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
fenicsx-performance-tests (0.9.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Wed, 06 Nov 2024 07:19:30 +0000

fenicsx-performance-tests (0.9.0-1exp1) experimental; urgency=medium

  * New upstream release, compatible with dolfinx 0.9.0
  * Require libdolfinx-dev >= 1:0.9~
  * OpenMPI 5.0 changed the name and the value of the environment variable to
    allow oversubscription from
       export OMPI_MCA_rmaps_base_oversubscribe=1
    to
       export PRTE_MCA_rmaps_default_mapping_policy=:oversubscribe
    Use the new variable name in debian/tests.
  * OpenMPI 5.0 changed the name of the environment variable to set the SSH
    agent from
       export OMPI_MCA_plm_rsh_agent=/bin/false
    to
       export PRTE_MCA_plm_ssh_agent=/bin/false
    Use the new variable name in debian/tests.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 03 Nov 2024 09:56:02 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
  cmake (>= 3.16~),
  libboost-dev (>= 1.70~),
- libdolfinx-dev (>= 1:0.8~), libdolfinx-real-dev,
+ libdolfinx-dev (>= 1:0.9~), libdolfinx-real-dev,
  mpi-default-dev,
  python3-ffcx
 Standards-Version: 4.7.0
@@ -36,7 +36,7 @@
 Depends: ${misc:Depends}
 Recommends: cmake,
  libboost-dev (>= 1.70~),
- libdolfinx-dev (>= 1:0.8~), libdolfinx-real-dev,
+ libdolfinx-dev (>= 1:0.9~), libdolfinx-real-dev,
  mpi-default-dev,
  python3-ffcx
 Suggests: fenicsx-performance-tests

=== debian/tests/control ===
Tests: dolfinx-performance-test-binary
Depends: @, @builddeps@
Restrictions: allow-stderr

Tests: dolfinx-performance-test-source
Depends: @, @builddeps@
Restrictions: allow-stderr

## fenicsx-performance-tests 0.10.0

=== debian/changelog ===
fenicsx-performance-tests (0.10.0-1exp1) experimental; urgency=medium

  * New upstream release for dolfinx 0.10
  * debian/rules: don't install .gitignore from source tree

 -- Drew Parsons <dparsons@debian.org>  Fri, 14 Nov 2025 19:25:37 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
  cmake (>= 3.16~),
  libboost-dev (>= 1.70~),
- libdolfinx-dev (>= 1:0.9~), libdolfinx-real-dev,
+ libdolfinx-dev (>= 1:0.10~), libdolfinx-real-dev,
  mpi-default-dev,
  python3-ffcx
 Standards-Version: 4.7.0
@@ -36,7 +36,7 @@
 Depends: ${misc:Depends}
 Recommends: cmake,
  libboost-dev (>= 1.70~),
- libdolfinx-dev (>= 1:0.9~), libdolfinx-real-dev,
+ libdolfinx-dev (>= 1:0.10~), libdolfinx-real-dev,
  mpi-default-dev,
  python3-ffcx
 Suggests: fenicsx-performance-tests

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,6 @@
 
 override_dh_auto_test:
 	debian/tests/run-dolfinx-scaling-test -p $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
+
+execute_after_dh_install:
+	rm -f debian/fenicsx-performance-tests-source/usr/share/dolfinx/performance-tests/src/.gitignore
